GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Namespaces | Functions
priming.cpp File Reference
`#include "gridfire/engine/procedures/priming.h"`
`#include "gridfire/engine/views/engine_priming.h"`
`#include "gridfire/engine/procedures/construction.h"`
`#include "gridfire/solver/solver.h"`
`#include "gridfire/engine/engine_abstract.h"`
`#include "gridfire/network.h"`
`#include "fourdst/logging/logging.h"`
`#include "quill/Logger.h"`
`#include "quill/LogMacros.h"`

Go to the source code of this file.

## Namespaces
namespace | gridfire

## Functions
const reaction::Reaction * | gridfire::findDominantCreationChannel (const DynamicEngine &engine, const Species &species, const std::vector< double > &Y, const double T9, const double rho)
PrimingReport | gridfire::primeNetwork (const NetIn &, DynamicEngine &engine)
| Primes absent species in the network to their equilibrium abundances.
double | gridfire::calculateDestructionRateConstant (const DynamicEngine &engine, const fourdst::atomic::Species &species, const std::vector< double > &Y, double T9, double rho)
| Computes the destruction rate constant for a specific species.
double | gridfire::calculateCreationRate (const DynamicEngine &engine, const fourdst::atomic::Species &species, const std::vector< double > &Y, double T9, double rho)
| Computes the creation rate for a specific species.